"Fossies" - the Fresh Open Source Software Archive

Member "redmine-4.1.1/Gemfile" (6 Apr 2020, 3060 Bytes) of package /linux/www/redmine-4.1.1.tar.gz:


As a special service "Fossies" has tried to format the requested text file into HTML format (style: standard) with prefixed line numbers. Alternatively you can here view or download the uninterpreted source code file. See also the latest Fossies "Diffs" side-by-side code changes report for "Gemfile": 4.1.0_vs_4.1.1.

    1 source 'https://rubygems.org'
    2 
    3 ruby '>= 2.3.0', '< 2.7.0' if Bundler::VERSION >= '1.12.0'
    4 gem "bundler", ">= 1.5.0"
    5 
    6 gem 'rails', '5.2.4.2'
    7 gem 'sprockets', '~> 3.7.2' if RUBY_VERSION < '2.5'
    8 gem "rouge", "~> 3.12.0"
    9 gem "request_store", "~> 1.4.1"
   10 gem "mini_mime", "~> 1.0.1"
   11 gem "actionpack-xml_parser"
   12 gem "roadie-rails", (RUBY_VERSION < "2.5" ? "~> 1.3.0" : "~> 2.1.0")
   13 gem "mimemagic"
   14 gem "mail", "~> 2.7.1"
   15 gem "csv", "~> 3.1.1"
   16 gem "nokogiri", "~> 1.10.0"
   17 gem "i18n", "~> 1.6.0"
   18 gem "rbpdf", "~> 1.20.0"
   19 
   20 # Windows does not include zoneinfo files, so bundle the tzinfo-data gem
   21 gem 'tzinfo-data', platforms: [:mingw, :x64_mingw, :mswin]
   22 
   23 # Optional gem for LDAP authentication
   24 group :ldap do
   25   gem "net-ldap", "~> 0.16.0"
   26 end
   27 
   28 # Optional gem for OpenID authentication
   29 group :openid do
   30   gem "ruby-openid", "~> 2.9.2", :require => "openid"
   31   gem "rack-openid"
   32 end
   33 
   34 # Optional gem for exporting the gantt to a PNG file
   35 group :minimagick do
   36   gem "mini_magick", "~> 4.9.5"
   37 end
   38 
   39 # Optional Markdown support, not for JRuby
   40 group :markdown do
   41   gem "redcarpet", "~> 3.5.0"
   42 end
   43 
   44 # Include database gems for the adapters found in the database
   45 # configuration file
   46 require 'erb'
   47 require 'yaml'
   48 database_file = File.join(File.dirname(__FILE__), "config/database.yml")
   49 if File.exist?(database_file)
   50   database_config = YAML::load(ERB.new(IO.read(database_file)).result)
   51   adapters = database_config.values.map {|c| c['adapter']}.compact.uniq
   52   if adapters.any?
   53     adapters.each do |adapter|
   54       case adapter
   55       when 'mysql2'
   56         gem "mysql2", "~> 0.5.0", :platforms => [:mri, :mingw, :x64_mingw]
   57       when /postgresql/
   58         gem "pg", "~> 1.1.4", :platforms => [:mri, :mingw, :x64_mingw]
   59       when /sqlite3/
   60         gem "sqlite3", "~> 1.4.0", :platforms => [:mri, :mingw, :x64_mingw]
   61       when /sqlserver/
   62         gem "tiny_tds", "~> 2.1.2", :platforms => [:mri, :mingw, :x64_mingw]
   63         gem "activerecord-sqlserver-adapter", "~> 5.2.1", :platforms => [:mri, :mingw, :x64_mingw]
   64       else
   65         warn("Unknown database adapter `#{adapter}` found in config/database.yml, use Gemfile.local to load your own database gems")
   66       end
   67     end
   68   else
   69     warn("No adapter found in config/database.yml, please configure it first")
   70   end
   71 else
   72   warn("Please configure your config/database.yml first")
   73 end
   74 
   75 group :development do
   76   gem "yard"
   77 end
   78 
   79 group :test do
   80   gem "rails-dom-testing"
   81   gem 'mocha', '>= 1.4.0'
   82   gem "simplecov", "~> 0.17.0", :require => false
   83   gem "ffi", platforms: [:mingw, :x64_mingw, :mswin]
   84   # For running system tests
   85   gem 'puma', '~> 3.7'
   86   gem "capybara", (RUBY_VERSION < "2.4" ? "~> 3.15.1" : "~> 3.25.0")
   87   gem "selenium-webdriver"
   88   # RuboCop
   89   gem 'rubocop', '~> 0.76.0'
   90   gem 'rubocop-performance', '~> 1.5.0'
   91   gem 'rubocop-rails', '~> 2.3.0'
   92 end
   93 
   94 local_gemfile = File.join(File.dirname(__FILE__), "Gemfile.local")
   95 if File.exists?(local_gemfile)
   96   eval_gemfile local_gemfile
   97 end
   98 
   99 # Load plugins' Gemfiles
  100 Dir.glob File.expand_path("../plugins/*/{Gemfile,PluginGemfile}", __FILE__) do |file|
  101   eval_gemfile file
  102 end